darcs

Issue 1719 darcs backs up files too aggressively when there are conflicts

Title darcs backs up files too aggressively when there are conflicts
Priority bug Status waiting-for
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, ganesh, jaredj, kowey, mndrix
Assigned To ganesh
Topics ProbablyEasy, UI

Created on 2009-12-20.21:49:31 by ganesh, last changed 2012-02-24.05:26:59 by mndrix.

Messages
msg9652 (view) Author: ganesh Date: 2009-12-20.21:49:27
Darcs helpfully backs up the relevant files with the name -darcs-backup<n> when
pulling or applying patches with conflicts. This is good because it means you
can recover your local changes if they are drowned in a sea of conflict markers.

However it does it unconditionally, rather than just when conflict markers would
actually be inserted. For example it does so when the options --allow-conflicts
or --dont-allow-conflicts are in effect.

The behaviour should be refined to avoid this.
msg10277 (view) Author: kowey Date: 2010-03-18.13:48:58
Resolved by:
Tue Jan  5 15:02:15 GMT 2010  Florent Becker <florent.becker@ens-lyon.org>
  * resolve issue 1719

No spaces between 'issue' and the number, Florent ;-)
msg14927 (view) Author: ganesh Date: 2011-12-31.22:47:24
I'm not 100% sure this is fully fixed - I think I've seen it recently - so 
assigning to myself to check and perhaps write a test.
History
Date User Action Args
2009-12-20 21:49:31ganeshcreate
2009-12-22 17:45:36koweysetpriority: bug
topic: + ProbablyEasy, UI
nosy: + jaredj
2010-03-18 13:49:03koweysetstatus: needs-implementation -> resolved
nosy: + kowey
messages: + msg10277
2011-12-31 22:47:25ganeshsetstatus: resolved -> waiting-for
assignedto: ganesh
messages: + msg14927
2012-02-24 05:26:59mndrixsetnosy: + mndrix